Bug 416328 - system settings crashes in KNSCore::Engine::loadProviders() when I click on "Get new scripts..." button
Summary: system settings crashes in KNSCore::Engine::loadProviders() when I click on "...
Status: REPORTED
Alias: None
Product: frameworks-knewstuff
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: HI crash
Target Milestone: ---
Assignee: Jeremy Whiting
URL:
Keywords: drkonqi
: 423027 424334 425697 426572 451710 460803 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-01-16 11:33 UTC by Patrick Silva
Modified: 2022-10-21 17:34 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Backtrace similar to commet #8 (9.66 KB, text/vnd.kde.kcrash-report)
2021-02-22 13:51 UTC, Tony
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-01-16 11:33:45 UTC
Application: systemsettings5 (5.17.80)

Qt Version: 5.13.2
Frameworks Version: 5.67.0
Operating System: Linux 5.0.0-37-generic x86_64
Windowing system: X11
Distribution: KDE neon Unstable Edition

-- Information about the crash:
- What I was doing when the application crashed:
open system settings > window management > task switcher
click on "Get new task switchers..." button
close "Get new..." window while "Loading provider infotmation" message appears on bottom by clicking on "Close" button on bottom
click on "Kwin scripts" section
click on "Get new scripts..." button
system settings crashes

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd8adbf5800 (LWP 16473))]

Thread 7 (Thread 0x7fd85b5af700 (LWP 16545)):
#0  g_main_context_iteration (context=0x7fd854000bf0, may_block=may_block@entry=1) at ../../../../glib/gmain.c:3956
#1  0x00007fd8a9a99b9b in QEventDispatcherGlib::processEvents (this=0x7fd854000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#2  0x00007fd8a9a3a06a in QEventLoop::exec (this=this@entry=0x7fd85b5aeda0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#3  0x00007fd8a98553aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#4  0x00007fd8a9856b52 in QThreadPrivate::start (arg=0x55ef83e6eed0) at thread/qthread_unix.cpp:360
#5  0x00007fd8a4bb46db in start_thread (arg=0x7fd85b5af700) at pthread_create.c:463
#6  0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fd869129700 (LWP 16542)):
#0  0x00007fd8a9146bf9 in __GI___poll (fds=0x7fd85c07dc20, nfds=1, timeout=8171) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd8a27f55c9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fd85c07dc20, timeout=<optimized out>, context=0x7fd85c000bf0) at ../../../../glib/gmain.c:4203
#2  g_main_context_iterate (context=context@entry=0x7fd85c000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../../glib/gmain.c:3897
#3  0x00007fd8a27f56dc in g_main_context_iteration (context=0x7fd85c000bf0, may_block=may_block@entry=1) at ../../../../glib/gmain.c:3963
#4  0x00007fd8a9a99b9b in QEventDispatcherGlib::processEvents (this=0x7fd85c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fd8a9a3a06a in QEventLoop::exec (this=this@entry=0x7fd869128da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fd8a98553aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#7  0x00007fd8a9856b52 in QThreadPrivate::start (arg=0x55ef84ed1e10) at thread/qthread_unix.cpp:360
#8  0x00007fd8a4bb46db in start_thread (arg=0x7fd869129700) at pthread_create.c:463
#9  0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fd87f0e4700 (LWP 16540)):
#0  0x00007fd8a9146bf9 in __GI___poll (fds=0x7fd87818e740, nfds=1, timeout=8170) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd8a27f55c9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fd87818e740, timeout=<optimized out>, context=0x7fd87843f340) at ../../../../glib/gmain.c:4203
#2  g_main_context_iterate (context=context@entry=0x7fd87843f340, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../../glib/gmain.c:3897
#3  0x00007fd8a27f56dc in g_main_context_iteration (context=0x7fd87843f340, may_block=may_block@entry=1) at ../../../../glib/gmain.c:3963
#4  0x00007fd8a9a99b9b in QEventDispatcherGlib::processEvents (this=0x7fd87814be60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fd8a9a3a06a in QEventLoop::exec (this=this@entry=0x7fd87f0e3da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fd8a98553aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#7  0x00007fd8a9856b52 in QThreadPrivate::start (arg=0x55ef84158fb0) at thread/qthread_unix.cpp:360
#8  0x00007fd8a4bb46db in start_thread (arg=0x7fd87f0e4700) at pthread_create.c:463
#9  0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fd88a0c4700 (LWP 16477)):
#0  0x00007fd8a4bba9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ef8387b188) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ef8387b138, cond=0x55ef8387b160) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ef8387b160, mutex=0x55ef8387b138) at pthread_cond_wait.c:655
#3  0x00007fd88b3972cb in cnd_wait (mtx=0x55ef8387b138, cond=0x55ef8387b160) at ../src/../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55ef8374d9d0) at ../src/util/u_queue.c:256
#5  0x00007fd88b396ff7 in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007fd8a4bb46db in start_thread (arg=0x7fd88a0c4700) at pthread_create.c:463
#7  0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fd892afc700 (LWP 16476)):
#0  g_mutex_unlock (mutex=0x7fd88c000bf0) at ../../../../glib/gthread-posix.c:1355
#1  0x00007fd8a27f55be in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fd88c013fd0, timeout=<optimized out>, context=0x7fd88c000bf0) at ../../../../glib/gmain.c:4202
#2  g_main_context_iterate (context=context@entry=0x7fd88c000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../../glib/gmain.c:3897
#3  0x00007fd8a27f56dc in g_main_context_iteration (context=0x7fd88c000bf0, may_block=may_block@entry=1) at ../../../../glib/gmain.c:3963
#4  0x00007fd8a9a99b9b in QEventDispatcherGlib::processEvents (this=0x7fd88c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fd8a9a3a06a in QEventLoop::exec (this=this@entry=0x7fd892afbd70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fd8a98553aa in QThread::exec (this=this@entry=0x7fd8aa187d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:531
#7  0x00007fd8a9f100e5 in QDBusConnectionManager::run (this=0x7fd8aa187d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007fd8a9856b52 in QThreadPrivate::start (arg=0x7fd8aa187d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:360
#9  0x00007fd8a4bb46db in start_thread (arg=0x7fd892afc700) at pthread_create.c:463
#10 0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fd89ac08700 (LWP 16475)):
#0  0x00007fd8a9146bf9 in __GI___poll (fds=0x7fd89ac07ca8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd8a4778747 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fd8a477a36a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fd89d9ede10 in QXcbEventQueue::run (this=0x55ef83727d10) at qxcbeventqueue.cpp:228
#4  0x00007fd8a9856b52 in QThreadPrivate::start (arg=0x55ef83727d10) at thread/qthread_unix.cpp:360
#5  0x00007fd8a4bb46db in start_thread (arg=0x7fd89ac08700) at pthread_create.c:463
#6  0x00007fd8a915388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fd8adbf5800 (LWP 16473)):
[KCrash Handler]
#6  QObjectPrivate::addConnection (this=0x0, signal=signal@entry=3, c=c@entry=0x55ef8388e360) at kernel/qobject.cpp:392
#7  0x00007fd8a9a71321 in QObjectPrivate::connectImpl (sender=sender@entry=0x55ef84e7b210, signal_index=3, receiver=receiver@entry=0x7fd8940088c0, slot=slot@entry=0x7ffd4e763740, slotObj=slotObj@entry=0x55ef85492960, type=<optimized out>, types=<optimized out>, senderMetaObject=<optimized out>) at kernel/qobject.cpp:4905
#8  0x00007fd8a9a716da in QObject::connectImpl (sender=0x55ef84e7b210, signal=<optimized out>, receiver=0x7fd8940088c0, slot=0x7ffd4e763740, slotObj=0x55ef85492960, type=Qt::AutoConnection, types=0x0, senderMetaObject=0x7fd87cf70540 <KNSCore::XmlLoader::staticMetaObject>) at kernel/qobject.cpp:4843
#9  0x00007fd87cd1633d in KNSCore::Engine::loadProviders() () from /usr/lib/x86_64-linux-gnu/libKF5NewStuffCore.so.5
#10 0x00007fd87cd1829a in KNSCore::Engine::init(QString const&) () from /usr/lib/x86_64-linux-gnu/libKF5NewStuffCore.so.5
#11 0x00007fd874ac31e4 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#12 0x00007fd874ac3e2d in KNS3::DownloadWidget::init(QString const&) () from /usr/lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#13 0x00007fd874ac06b9 in KNS3::DownloadDialog::init(QString const&) () from /usr/lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#14 0x00007fd874acadc8 in KNS3::Button::showDialog() () from /usr/lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#15 0x00007fd8a9a6c9ef in QtPrivate::QSlotObjectBase::call (a=0x7ffd4e763e10, r=0x55ef8c94f3d0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#16 QMetaObject::activate (sender=sender@entry=0x55ef8c94f3d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=2, argv=<optimized out>, argv@entry=0x7ffd4e763e10) at kernel/qobject.cpp:3789
#17 0x00007fd8a9a6cf97 in QMetaObject::activate (sender=sender@entry=0x55ef8c94f3d0, m=m@entry=0x7fd8ab1af760 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffd4e763e10) at kernel/qobject.cpp:3660
#18 0x00007fd8aabba4c2 in QAbstractButton::clicked (this=this@entry=0x55ef8c94f3d0, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:313
#19 0x00007fd8aabba6da in QAbstractButtonPrivate::emitClicked (this=0x55ef87a78300) at widgets/qabstractbutton.cpp:414
#20 0x00007fd8aabbbaba in QAbstractButtonPrivate::click (this=0x55ef87a78300) at widgets/qabstractbutton.cpp:407
#21 0x00007fd8aabbbcad in QAbstractButton::mouseReleaseEvent (this=0x55ef8c94f3d0, e=0x7ffd4e764380) at widgets/qabstractbutton.cpp:1011
#22 0x00007fd8aab10cb8 in QWidget::event (this=0x55ef8c94f3d0, event=0x7ffd4e764380) at kernel/qwidget.cpp:9339
#23 0x00007fd8aaacfeac in QApplicationPrivate::notify_helper (this=this@entry=0x55ef83725340, receiver=receiver@entry=0x55ef8c94f3d0, e=e@entry=0x7ffd4e764380) at kernel/qapplication.cpp:3703
#24 0x00007fd8aaad8388 in QApplication::notify (this=<optimized out>, receiver=0x55ef8c94f3d0, e=0x7ffd4e764380) at kernel/qapplication.cpp:3163
#25 0x00007fd8a9a3bf08 in QCoreApplication::notifyInternal2 (receiver=0x55ef8c94f3d0, event=0x7ffd4e764380) at kernel/qcoreapplication.cpp:1095
#26 0x00007fd8a9a3c0ee in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x55ef8c94f3d0, event=event@entry=0x7ffd4e764380) at kernel/qcoreapplication.cpp:1502
#27 0x00007fd8aaad697f in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x55ef8c94f3d0, event=event@entry=0x7ffd4e764380, alienWidget=0x55ef8c94f3d0, nativeWidget=0x55ef837b9a70, buttonDown=buttonDown@entry=0x7fd8ab1d98b0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2649
#28 0x00007fd8aab2b6b1 in QWidgetWindow::handleMouseEvent (this=this@entry=0x55ef83802820, event=event@entry=0x7ffd4e764810) at kernel/qwidgetwindow.cpp:662
#29 0x00007fd8aab2e64a in QWidgetWindow::event (this=0x55ef83802820, event=0x7ffd4e764810) at kernel/qwidgetwindow.cpp:281
#30 0x00007fd8aaacfeac in QApplicationPrivate::notify_helper (this=this@entry=0x55ef83725340, receiver=receiver@entry=0x55ef83802820, e=e@entry=0x7ffd4e764810) at kernel/qapplication.cpp:3703
#31 0x00007fd8aaad74b0 in QApplication::notify (this=0x7ffd4e764c90, receiver=0x55ef83802820, e=0x7ffd4e764810) at kernel/qapplication.cpp:3449
#32 0x00007fd8a9a3bf08 in QCoreApplication::notifyInternal2 (receiver=0x55ef83802820, event=0x7ffd4e764810) at kernel/qcoreapplication.cpp:1095
#33 0x00007fd8a9a3c0ee in QCoreApplication::sendSpontaneousEvent (receiver=receiver@entry=0x55ef83802820, event=event@entry=0x7ffd4e764810) at kernel/qcoreapplication.cpp:1502
#34 0x00007fd8aa29e495 in QGuiApplicationPrivate::processMouseEvent (e=0x55ef8c807c60) at kernel/qguiapplication.cpp:2111
#35 0x00007fd8aa29f5e5 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x55ef8c807c60) at kernel/qguiapplication.cpp:1846
#36 0x00007fd8aa27979b in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1148
#37 0x00007fd89d9eedda in xcbSourceDispatch (source=source@entry=0x55ef83777170) at qxcbeventdispatcher.cpp:105
#38 0x00007fd8a27f5417 in g_main_dispatch (context=0x7fd894004ff0) at ../../../../glib/gmain.c:3176
#39 g_main_context_dispatch (context=context@entry=0x7fd894004ff0) at ../../../../glib/gmain.c:3829
#40 0x00007fd8a27f5650 in g_main_context_iterate (context=context@entry=0x7fd894004ff0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../../glib/gmain.c:3902
#41 0x00007fd8a27f56dc in g_main_context_iteration (context=0x7fd894004ff0, may_block=may_block@entry=1) at ../../../../glib/gmain.c:3963
#42 0x00007fd8a9a99b7f in QEventDispatcherGlib::processEvents (this=0x55ef837872e0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#43 0x00007fd8a9a3a06a in QEventLoop::exec (this=this@entry=0x7ffd4e764bb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#44 0x00007fd8a9a433e0 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1403
#45 0x000055ef82774268 in main (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:71

Possible duplicates by query: bug 398325, bug 389811.

Reported using DrKonqi
Comment 1 Nate Graham 2020-07-17 15:30:36 UTC
*** Bug 424334 has been marked as a duplicate of this bug. ***
Comment 2 Alexander Lohnau 2020-07-17 19:10:12 UTC
Can always reproduce.
Comment 3 Alexander Lohnau 2020-07-18 20:48:18 UTC
*** Bug 423027 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Lohnau 2020-08-23 06:19:55 UTC
*** Bug 425697 has been marked as a duplicate of this bug. ***
Comment 5 Bug Janitor Service 2020-11-26 19:25:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/knewstuff/-/merge_requests/72
Comment 6 Alexander Lohnau 2020-11-30 12:54:07 UTC
Git commit 370e5776b70a98efa2abd42452f78748cc5f25db by Alexander Lohnau.
Committed on 30/11/2020 at 12:53.
Pushed by alex into branch 'master'.

Reuse QWidgets dialog

Otherwise the engine would make a new network request, this is quite
wasteful and lets the user wait a moment.
Also this appears to fixes the crash, you can try this out by quickly
opening and closing the dialog.

Additionally this makes it consistent with the QtQuick one.

>From the stacktrace I got this seems to fix BUG 429302.
Related: bug 429302
FIXED-IN: 5.77

M  +8    -6    src/button.cpp

https://invent.kde.org/frameworks/knewstuff/commit/370e5776b70a98efa2abd42452f78748cc5f25db
Comment 7 Patrick Silva 2020-12-05 23:44:39 UTC
This crash is still reproducible on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.1

Application: System Settings (systemsettings5), signal: Segmentation fault
Content of s_kcrashErrorMessage: (null)
[New LWP 13564]
[New LWP 13578]
[New LWP 13597]
[New LWP 13598]
[New LWP 13599]
[New LWP 13600]
[New LWP 13605]
[New LWP 13606]
[New LWP 13614]
[New LWP 13615]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f1a44ac8aff in __GI___poll (fds=fds@entry=0x7fff8f9eb5e8, nfds=nfds@entry=1, timeout=timeout@entry=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7f1a4089b8c0 (LWP 13555))]

Thread 11 (Thread 0x7f19fc922700 (LWP 13615)):
#0  __GI___libc_read (nbytes=16, buf=0x7f19fc921ad0, fd=27) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=27, buf=buf@entry=0x7f19fc921ad0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f1a42da789f in read (__nbytes=16, __buf=0x7f19fc921ad0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7f1a00003950) at ../../../glib/gwakeup.c:210
#4  0x00007f1a42d5ecfe in g_main_context_check (context=context@entry=0x7f19f0000c20, max_priority=2147483647, fds=fds@entry=0x7f19f0004cb0, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007f1a42d5f152 in g_main_context_iterate (context=context@entry=0x7f19f0000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f19f0000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007f1a451e124b in QEventDispatcherGlib::processEvents (this=0x7f19f0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7f19fc921ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007f1a44fa1982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x55fc60cb8be0) at thread/qthread_unix.cpp:329
#11 0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f19fdc06700 (LWP 13614)):
#0  0x00007f1a44ac8aff in __GI___poll (fds=0x7f19f802a450, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1a42d5f1ae in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f19f802a450, timeout=<optimized out>, context=0x7f19f81cfca0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f19f81cfca0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f19f81cfca0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f1a451e124b in QEventDispatcherGlib::processEvents (this=0x7f19f82572f0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7f19fdc05ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f1a44fa1982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x55fc60a48900) at thread/qthread_unix.cpp:329
#8  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f1a1942b700 (LWP 13606)):
#0  0x00007f1a44ac8aff in __GI___poll (fds=0x7f1a00004a30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1a42d5f1ae in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f1a00004a30, timeout=<optimized out>, context=0x7f1a00000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f1a00000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f1a00000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f1a451e124b in QEventDispatcherGlib::processEvents (this=0x7f1a00000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7f1a1942acc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f1a44fa1982 in QThread::exec (this=this@entry=0x55fc5fc384a0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f1a44299d69 in QQmlThreadPrivate::run (this=0x55fc5fc384a0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x55fc5fc384a0) at thread/qthread_unix.cpp:329
#9  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f1a1b607700 (LWP 13605)):
#0  0x00007f1a44ac8aff in __GI___poll (fds=0x7f1a0c005240, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1a42d5f1ae in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f1a0c005240, timeout=<optimized out>, context=0x7f1a0c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f1a0c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f1a0c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f1a451e124b in QEventDispatcherGlib::processEvents (this=0x7f1a0c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7f1a1b606cc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f1a44fa1982 in QThread::exec (this=this@entry=0x55fc5f9a4960) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f1a44299d69 in QQmlThreadPrivate::run (this=0x55fc5f9a4960) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x55fc5f9a4960) at thread/qthread_unix.cpp:329
#9  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f1a367fc700 (LWP 13600)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fc5f706598) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fc5f706548, cond=0x55fc5f706570) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fc5f706570, mutex=0x55fc5f706548) at pthread_cond_wait.c:638
#3  0x00007f1a3cc1a97b in cnd_wait (mtx=0x55fc5f706548, cond=0x55fc5f706570) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fc5f6b3070) at ../src/util/u_queue.c:275
#5  0x00007f1a3cc1a58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f1a36ffd700 (LWP 13599)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fc5f70659c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fc5f706548, cond=0x55fc5f706570) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fc5f706570, mutex=0x55fc5f706548) at pthread_cond_wait.c:638
#3  0x00007f1a3cc1a97b in cnd_wait (mtx=0x55fc5f706548, cond=0x55fc5f706570) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fc5f6d6650) at ../src/util/u_queue.c:275
#5  0x00007f1a3cc1a58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f1a377fe700 (LWP 13598)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fc5f70659c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fc5f706548, cond=0x55fc5f706570) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fc5f706570, mutex=0x55fc5f706548) at pthread_cond_wait.c:638
#3  0x00007f1a3cc1a97b in cnd_wait (mtx=0x55fc5f706548, cond=0x55fc5f706570) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fc5f6ad580) at ../src/util/u_queue.c:275
#5  0x00007f1a3cc1a58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f1a37fff700 (LWP 13597)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fc5f70659c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fc5f706548, cond=0x55fc5f706570) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fc5f706570, mutex=0x55fc5f706548) at pthread_cond_wait.c:638
#3  0x00007f1a3cc1a97b in cnd_wait (mtx=0x55fc5f706548, cond=0x55fc5f706570) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fc5f6d6ce0) at ../src/util/u_queue.c:275
#5  0x00007f1a3cc1a58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f1a3eb38700 (LWP 13578)):
#0  __GI___libc_read (nbytes=16, buf=0x7f1a3eb37aa0, fd=7) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=7, buf=buf@entry=0x7f1a3eb37aa0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f1a42da789f in read (__nbytes=16, __buf=0x7f1a3eb37aa0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x55fc5f5b37b0) at ../../../glib/gwakeup.c:210
#4  0x00007f1a42d5ecfe in g_main_context_check (context=context@entry=0x7f1a30000c20, max_priority=2147483647, fds=fds@entry=0x7f1a30015eb0, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007f1a42d5f152 in g_main_context_iterate (context=context@entry=0x7f1a30000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f1a30000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007f1a451e124b in QEventDispatcherGlib::processEvents (this=0x7f1a30000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7f1a3eb37cb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007f1a44fa1982 in QThread::exec (this=this@entry=0x7f1a43f38d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007f1a43eb4f4b in QDBusConnectionManager::run (this=0x7f1a43f38d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#11 0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x7f1a43f38d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#12 0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f1a3fcd8700 (LWP 13564)):
#0  0x00007f1a44ac8aff in __GI___poll (fds=0x7f1a3fcd7be8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1a436b6c1a in ?? () from /lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f1a436b890a in xcb_wait_for_event () from /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f1a40209b08 in QXcbEventQueue::run (this=0x55fc5f4f2dd0) at qxcbeventqueue.cpp:228
#4  0x00007f1a44fa2b1c in QThreadPrivate::start (arg=0x55fc5f4f2dd0) at thread/qthread_unix.cpp:329
#5  0x00007f1a4366f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f1a44ad5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f1a4089b8c0 (LWP 13555)):
[KCrash Handler]
#6  std::__atomic_base<QObjectPrivate::SignalVector*>::load (__m=std::memory_order_relaxed, this=0xffff000100000007) at /usr/include/c++/9/bits/atomic_base.h:734
#7  std::atomic<QObjectPrivate::SignalVector*>::load (__m=std::memory_order_relaxed, this=0xffff000100000007) at /usr/include/c++/9/atomic:519
#8  QAtomicOps<QObjectPrivate::SignalVector*>::loadRelaxed<QObjectPrivate::SignalVector*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QObjectPrivate::SignalVector>::loadRelaxed (this=0xffff000100000007) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#10 QObjectPrivate::ConnectionData::resizeSignalVector (size=4, this=0xffff0000ffffffff) at kernel/qobject_p.h:293
#11 QObjectPrivate::addConnection (this=<optimized out>, signal=signal@entry=3, c=c@entry=0x55fc60abe450) at kernel/qobject.cpp:326
#12 0x00007f1a451b2e4a in QObjectPrivate::connectImpl (sender=0x55fc60cdfad0, signal_index=3, receiver=0x55fc60cef020, slot=<optimized out>, slotObj=<optimized out>, type=<optimized out>, types=<optimized out>, senderMetaObject=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:132
#13 0x00007f1a451b32e5 in QObject::connectImpl (sender=sender@entry=0x55fc60cdfad0, signal=signal@entry=0x7fff8f9ec000, receiver=receiver@entry=0x55fc60cef020, slot=slot@entry=0x7fff8f9ec010, slotObj=0x55fc60c37e80, type=Qt::AutoConnection, types=0x0, senderMetaObject=<optimized out>) at kernel/qobject.cpp:5001
#14 0x00007f1a040980fd in QObject::connect<void (KNSCore::XmlLoader::*)(QDomDocument const&), void (KNSCore::Engine::*)(QDomDocument const&)> (type=Qt::AutoConnection, slot=(void (KNSCore::Engine::*)(class KNSCore::Engine * const, const class QDomDocument &)) 0x7f1a04098c90 <KNSCore::Engine::slotProviderFileLoaded(QDomDocument const&)>, receiver=0x55fc60cef020, signal=(void (KNSCore::XmlLoader::*)(class KNSCore::XmlLoader * const, const class QDomDocument &)) 0x7f1a04080f70 <KNSCore::XmlLoader::signalLoaded(QDomDocument const&)>, sender=0x55fc60cdfad0) at /usr/include/c++/9/bits/atomic_base.h:279
#15 KNSCore::Engine::loadProviders (this=this@entry=0x55fc60cef020) at ./src/core/engine.cpp:327
#16 0x00007f1a0409d480 in KNSCore::Engine::init (this=<optimized out>, configfile=...) at ./src/core/engine.cpp:279
#17 0x00007f1a04123192 in ?? () from /lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#18 0x00007f1a04123cd1 in KNS3::DownloadWidget::init(QString const&) () from /lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#19 0x00007f1a04120616 in KNS3::DownloadDialog::init(QString const&) () from /lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#20 0x00007f1a0412ad2c in KNS3::Button::showDialog() () from /lib/x86_64-linux-gnu/libKF5NewStuff.so.5
#21 0x00007f1a451bd94e in QtPrivate::QSlotObjectBase::call (a=0x7fff8f9ec400, r=0x55fc6083de90, this=0x55fc60a79b50) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#22 doActivate<false> (sender=0x55fc6083de90, signal_index=9, argv=0x7fff8f9ec400) at kernel/qobject.cpp:3886
#23 0x00007f1a451b6d17 in QMetaObject::activate (sender=sender@entry=0x55fc6083de90, m=m@entry=0x7f1a46298600 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fff8f9ec400) at kernel/qobject.cpp:3946
#24 0x00007f1a45e7a896 in QAbstractButton::clicked (this=this@entry=0x55fc6083de90, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:308
#25 0x00007f1a45e7aabe in QAbstractButtonPrivate::emitClicked (this=0x55fc60a1e7c0) at widgets/qabstractbutton.cpp:415
#26 0x00007f1a45e7bf93 in QAbstractButtonPrivate::click (this=0x55fc60a1e7c0) at widgets/qabstractbutton.cpp:408
#27 0x00007f1a45e7c155 in QAbstractButton::mouseReleaseEvent (this=0x55fc6083de90, e=0x7fff8f9ec970) at widgets/qabstractbutton.cpp:1044
#28 0x00007f1a45dc5be6 in QWidget::event (this=0x55fc6083de90, event=0x7fff8f9ec970) at kernel/qwidget.cpp:8663
#29 0x00007f1a45d82da3 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55fc6083de90, e=0x7fff8f9ec970) at kernel/qapplication.cpp:3630
#30 0x00007f1a45d8be57 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3074
#31 0x00007f1a4518692a in QCoreApplication::notifyInternal2 (receiver=0x55fc6083de90, event=0x7fff8f9ec970) at ../../include/QtCore/5.15.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#32 0x00007f1a45d8b087 in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x55fc6083de90, event=event@entry=0x7fff8f9ec970, alienWidget=alienWidget@entry=0x55fc6083de90, nativeWidget=0x55fc5f5f19e0, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#33 0x00007f1a45de0e34 in QWidgetWindow::handleMouseEvent (this=0x55fc5f6b4250, event=0x7fff8f9ecdf0) at /usr/include/c++/9/bits/atomic_base.h:413
#34 0x00007f1a45de4154 in QWidgetWindow::event (event=0x7fff8f9ecdf0, this=0x55fc5f6b4250) at kernel/qwidgetwindow.cpp:300
#35 QWidgetWindow::event (this=0x55fc5f6b4250, event=0x7fff8f9ecdf0) at kernel/qwidgetwindow.cpp:239
#36 0x00007f1a45d82da3 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55fc5f6b4250, e=0x7fff8f9ecdf0) at kernel/qapplication.cpp:3630
#37 0x00007f1a45d8bb98 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3154
#38 0x00007f1a4518692a in QCoreApplication::notifyInternal2 (receiver=0x55fc5f6b4250, event=0x7fff8f9ecdf0) at ../../include/QtCore/5.15.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#39 0x00007f1a4568d53b in QGuiApplicationPrivate::processMouseEvent (e=e@entry=0x7f1a3800a260) at kernel/qguiapplication.cpp:2277
#40 0x00007f1a4568eab5 in QGuiApplicationPrivate::processWindowSystemEvent (e=0x7f1a3800a260) at kernel/qguiapplication.cpp:2002
#41 0x00007f1a456667ab in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1175
#42 0x00007f1a4020ab2e in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#43 0x00007f1a42d5efbd in g_main_dispatch (context=0x7f1a38005000) at ../../../glib/gmain.c:3309
#44 g_main_context_dispatch (context=context@entry=0x7f1a38005000) at ../../../glib/gmain.c:3974
#45 0x00007f1a42d5f240 in g_main_context_iterate (context=context@entry=0x7f1a38005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#46 0x00007f1a42d5f2e3 in g_main_context_iteration (context=0x7f1a38005000, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#47 0x00007f1a451e1232 in QEventDispatcherGlib::processEvents (this=0x55fc5f5a3650, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#48 0x00007f1a4518543b in QEventLoop::exec (this=this@entry=0x7fff8f9ed190, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#49 0x00007f1a4518d5e4 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#50 0x000055fc5da3e312 in main (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:209
[Inferior 1 (process 13555) detached]
Comment 8 Patrick Silva 2020-12-05 23:53:06 UTC
better backtrace:

Application: System Settings (systemsettings5), signal: Segmentation fault
Content of s_kcrashErrorMessage: (null)
[New LWP 14999]
[New LWP 15000]
[New LWP 15001]
[New LWP 15002]
[New LWP 15003]
[New LWP 15004]
[New LWP 15005]
[New LWP 15006]
[New LWP 15007]
[New LWP 15008]
[New LWP 15009]
[New LWP 15010]
[New LWP 15016]
[New LWP 15017]
[New LWP 15018]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007ff957c7faff in __GI___poll (fds=fds@entry=0x7ffdc3636668, nfds=nfds@entry=1, timeout=timeout@entry=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7ff953a528c0 (LWP 14997))]

Thread 16 (Thread 0x7ff90b2ee700 (LWP 15018)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7ff90b2edc50, clockid=<optimized out>, expected=0, futex_word=0x7ff904006434) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff90b2edc50, clockid=<optimized out>, mutex=0x7ff9040063e0, cond=0x7ff904006408) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff904006408, mutex=0x7ff9040063e0, abstime=0x7ff90b2edc50) at pthread_cond_wait.c:656
#3  0x00007ff95815fc78 in QWaitConditionPrivate::wait_relative (this=0x7ff9040063e0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x7ff9040063e0) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x7ff9040060c0, mutex=mutex@entry=0x7ff904005d58, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007ff95815d121 in QThreadPoolThread::run (this=0x7ff9040060b0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:270
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x7ff9040060b0) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7ff90baef700 (LWP 15017)):
#0  0x00007ff957c7faff in __GI___poll (fds=0x7ff904004cb0, nfds=1, timeout=123640) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff955f161ae in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff904004cb0, timeout=<optimized out>, context=0x7ff904000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff904000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff904000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff95839824b in QEventDispatcherGlib::processEvents (this=0x7ff904000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ff90baeece0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff958158982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x562549d34900) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7ff920e6b700 (LWP 15016)):
#0  __GI___libc_read (nbytes=16, buf=0x7ff920e6aad0, fd=26) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=26, buf=buf@entry=0x7ff920e6aad0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007ff955f5e89f in read (__nbytes=16, __buf=0x7ff920e6aad0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7ff90c003960) at ../../../glib/gwakeup.c:210
#4  0x00007ff955f15cfe in g_main_context_check (context=context@entry=0x7ff9101f01b0, max_priority=2147483647, fds=fds@entry=0x7ff910030c20, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007ff955f16152 in g_main_context_iterate (context=context@entry=0x7ff9101f01b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff9101f01b0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007ff95839824b in QEventDispatcherGlib::processEvents (this=0x7ff910215a60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ff920e6ace0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007ff958158982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007ff958159b1c in QThreadPrivate::start (arg=0x562549b39d30) at thread/qthread_unix.cpp:329
#11 0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7ff92bfff700 (LWP 15010)):
#0  0x00007ff957c7b171 in __GI___libc_read (nbytes=16, buf=0x7ff92bffeab0, fd=20) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=20, buf=buf@entry=0x7ff92bffeab0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007ff955f5e89f in read (__nbytes=16, __buf=0x7ff92bffeab0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7ff918003e50) at ../../../glib/gwakeup.c:210
#4  0x00007ff955f15cfe in g_main_context_check (context=context@entry=0x7ff90c000c20, max_priority=2147483647, fds=fds@entry=0x7ff90c004a30, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007ff955f16152 in g_main_context_iterate (context=context@entry=0x7ff90c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff90c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007ff95839824b in QEventDispatcherGlib::processEvents (this=0x7ff90c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ff92bffecc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007ff958158982 in QThread::exec (this=this@entry=0x562548c07be0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007ff957450d69 in QQmlThreadPrivate::run (this=0x562548c07be0) at qml/ftw/qqmlthread.cpp:155
#11 0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548c07be0) at thread/qthread_unix.cpp:329
#12 0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7ff9367ae700 (LWP 15009)):
#0  __GI___libc_read (nbytes=16, buf=0x7ff9367adab0, fd=19) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=19, buf=buf@entry=0x7ff9367adab0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007ff955f5e89f in read (__nbytes=16, __buf=0x7ff9367adab0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7ff914003560) at ../../../glib/gwakeup.c:210
#4  0x00007ff955f15cfe in g_main_context_check (context=context@entry=0x7ff918000c20, max_priority=2147483647, fds=fds@entry=0x7ff918005240, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007ff955f16152 in g_main_context_iterate (context=context@entry=0x7ff918000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff918000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007ff95839824b in QEventDispatcherGlib::processEvents (this=0x7ff918000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ff9367adcc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007ff958158982 in QThread::exec (this=this@entry=0x562548973ea0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007ff957450d69 in QQmlThreadPrivate::run (this=0x562548973ea0) at qml/ftw/qqmlthread.cpp:155
#11 0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548973ea0) at thread/qthread_unix.cpp:329
#12 0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7ff936ffd700 (LWP 15008)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7ff936ffcc50, clockid=<optimized out>, expected=0, futex_word=0x5625488666a0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff936ffcc50, clockid=<optimized out>, mutex=0x562548866650, cond=0x562548866678) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562548866678, mutex=0x562548866650, abstime=0x7ff936ffcc50) at pthread_cond_wait.c:656
#3  0x00007ff95815fc78 in QWaitConditionPrivate::wait_relative (this=0x562548866650, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562548866650) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562548864f80, mutex=mutex@entry=0x5625486bcdc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007ff95815d121 in QThreadPoolThread::run (this=0x562548864f70) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:270
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548864f70) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7ff9377fe700 (LWP 15007)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7ff9377fdc50, clockid=<optimized out>, expected=0, futex_word=0x562548864be0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff9377fdc50, clockid=<optimized out>, mutex=0x562548864b90, cond=0x562548864bb8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562548864bb8, mutex=0x562548864b90, abstime=0x7ff9377fdc50) at pthread_cond_wait.c:656
#3  0x00007ff95815fc78 in QWaitConditionPrivate::wait_relative (this=0x562548864b90, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562548864b90) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562548853c80, mutex=mutex@entry=0x5625486bcdc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007ff95815d121 in QThreadPoolThread::run (this=0x562548853c70) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:270
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548853c70) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7ff937fff700 (LWP 15006)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7ff937ffec50, clockid=<optimized out>, expected=0, futex_word=0x562548864930) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff937ffec50, clockid=<optimized out>, mutex=0x5625488648e0, cond=0x562548864908) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562548864908, mutex=0x5625488648e0, abstime=0x7ff937ffec50) at pthread_cond_wait.c:656
#3  0x00007ff95815fc78 in QWaitConditionPrivate::wait_relative (this=0x5625488648e0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x5625488648e0) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562548864680, mutex=mutex@entry=0x5625486bcdc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007ff95815d121 in QThreadPoolThread::run (this=0x562548864670) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:270
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548864670) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7ff948a1d700 (LWP 15005)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7ff948a1cc50, clockid=<optimized out>, expected=0, futex_word=0x562548865db0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff948a1cc50, clockid=<optimized out>, mutex=0x562548865d60, cond=0x562548865d88) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562548865d88, mutex=0x562548865d60, abstime=0x7ff948a1cc50) at pthread_cond_wait.c:656
#3  0x00007ff95815fc78 in QWaitConditionPrivate::wait_relative (this=0x562548865d60, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562548865d60) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562548865d40, mutex=mutex@entry=0x5625486bcdc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007ff95815d121 in QThreadPoolThread::run (this=0x562548865d30) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:270
#7  0x00007ff958159b1c in QThreadPrivate::start (arg=0x562548865d30) at thread/qthread_unix.cpp:329
#8  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7ff949a32700 (LWP 15004)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562548631a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625486319f8, cond=0x562548631a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562548631a20, mutex=0x5625486319f8) at pthread_cond_wait.c:638
#3  0x00007ff94b75297b in cnd_wait (mtx=0x5625486319f8, cond=0x562548631a20) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5625486cf070) at ../src/util/u_queue.c:275
#5  0x00007ff94b75258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7ff94a233700 (LWP 15003)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562548631a4c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625486319f8, cond=0x562548631a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562548631a20, mutex=0x5625486319f8) at pthread_cond_wait.c:638
#3  0x00007ff94b75297b in cnd_wait (mtx=0x5625486319f8, cond=0x562548631a20) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x562548666750) at ../src/util/u_queue.c:275
#5  0x00007ff94b75258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7ff94aa34700 (LWP 15002)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562548631a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625486319f8, cond=0x562548631a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562548631a20, mutex=0x5625486319f8) at pthread_cond_wait.c:638
#3  0x00007ff94b75297b in cnd_wait (mtx=0x5625486319f8, cond=0x562548631a20) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5625486c2b30) at ../src/util/u_queue.c:275
#5  0x00007ff94b75258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ff94b235700 (LWP 15001)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562548631a4c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625486319f8, cond=0x562548631a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562548631a20, mutex=0x5625486319f8) at pthread_cond_wait.c:638
#3  0x00007ff94b75297b in cnd_wait (mtx=0x5625486319f8, cond=0x562548631a20) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56254867a850) at ../src/util/u_queue.c:275
#5  0x00007ff94b75258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ff951cef700 (LWP 15000)):
#0  0x00007ff955f6333d in g_mutex_lock (mutex=mutex@entry=0x7ff944000c20) at ../../../glib/gthread-posix.c:1481
#1  0x00007ff955f15234 in g_main_context_acquire (context=0x7ff944000c20) at ../../../glib/gmain.c:3370
#2  0x00007ff955f16065 in g_main_context_iterate (context=context@entry=0x7ff944000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:3997
#3  0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff944000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff95839824b in QEventDispatcherGlib::processEvents (this=0x7ff944000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ff951ceecb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff958158982 in QThread::exec (this=this@entry=0x7ff9570efd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff95706bf4b in QDBusConnectionManager::run (this=0x7ff9570efd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007ff958159b1c in QThreadPrivate::start (arg=0x7ff9570efd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ff952e8f700 (LWP 14999)):
#0  0x00007ff957c7faff in __GI___poll (fds=fds@entry=0x7ff952e8ebe8, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff95686dc1a in poll (__timeout=-1, __nfds=1, __fds=0x7ff952e8ebe8) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  _xcb_conn_wait (c=c@entry=0x5625484cf180, cond=cond@entry=0x5625484cf1c0, vector=vector@entry=0x0, count=count@entry=0x0) at ../../src/xcb_conn.c:480
#3  0x00007ff95686f90a in xcb_wait_for_event (c=c@entry=0x5625484cf180) at ../../src/xcb_in.c:697
#4  0x00007ff9533c0b08 in QXcbEventQueue::run (this=0x5625484c0dd0) at qxcbeventqueue.cpp:228
#5  0x00007ff958159b1c in QThreadPrivate::start (arg=0x5625484c0dd0) at thread/qthread_unix.cpp:329
#6  0x00007ff956826609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff957c8c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ff953a528c0 (LWP 14997)):
[KCrash Handler]
#6  std::__atomic_base<QObjectPrivate::ConnectionData*>::load (__m=std::memory_order_relaxed, this=0x57004b002000a5) at /usr/include/c++/9/bits/atomic_base.h:734
#7  std::atomic<QObjectPrivate::ConnectionData*>::load (__m=std::memory_order_relaxed, this=0x57004b002000a5) at /usr/include/c++/9/atomic:519
#8  QAtomicOps<QObjectPrivate::ConnectionData*>::loadRelaxed<QObjectPrivate::ConnectionData*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QObjectPrivate::ConnectionData>::loadRelaxed (this=0x57004b002000a5) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#10 QObjectPrivate::ensureConnectionData (this=0x57004b00200065) at kernel/qobject_p.h:371
#11 QObjectPrivate::addConnection (this=0x57004b00200065, signal=signal@entry=3, c=c@entry=0x562549d288e0) at kernel/qobject.cpp:324
#12 0x00007ff958369e4a in QObjectPrivate::connectImpl (sender=0x562549c3b0b0, signal_index=3, receiver=0x562549adf460, slot=<optimized out>, slotObj=<optimized out>, type=<optimized out>, types=<optimized out>, senderMetaObject=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:132
#13 0x00007ff95836a2e5 in QObject::connectImpl (sender=sender@entry=0x562549c3b0b0, signal=signal@entry=0x7ffdc3637070, receiver=receiver@entry=0x562549adf460, slot=slot@entry=0x7ffdc3637080, slotObj=0x562549b6c060, type=Qt::AutoConnection, types=0x0, senderMetaObject=<optimized out>) at kernel/qobject.cpp:5001
#14 0x00007ff9282430fd in QObject::connect<void (KNSCore::XmlLoader::*)(QDomDocument const&), void (KNSCore::Engine::*)(QDomDocument const&)> (type=Qt::AutoConnection, slot=(void (KNSCore::Engine::*)(class KNSCore::Engine * const, const class QDomDocument &)) 0x7ff928243c90 <KNSCore::Engine::slotProviderFileLoaded(QDomDocument const&)>, receiver=0x562549adf460, signal=(void (KNSCore::XmlLoader::*)(class KNSCore::XmlLoader * const, const class QDomDocument &)) 0x7ff92822bf70 <KNSCore::XmlLoader::signalLoaded(QDomDocument const&)>, sender=0x562549c3b0b0) at /usr/include/c++/9/bits/atomic_base.h:279
#15 KNSCore::Engine::loadProviders (this=this@entry=0x562549adf460) at ./src/core/engine.cpp:327
#16 0x00007ff928248480 in KNSCore::Engine::init (this=<optimized out>, configfile=...) at ./src/core/engine.cpp:279
#17 0x00007ff9283e9192 in KNS3::DownloadWidgetPrivate::init (this=0x562548d76f40, configFile=...) at ./src/downloadwidget.cpp:255
#18 0x00007ff9283e9cd1 in KNS3::DownloadWidget::init (this=<optimized out>, configFile=...) at ./src/downloadwidget.cpp:51
#19 0x00007ff9283e6616 in KNS3::DownloadDialog::init (this=0x562549afe240, configFile=...) at ./src/downloaddialog.cpp:71
#20 0x00007ff9283f0d2c in KNS3::Button::showDialog (this=0x56254997fde0) at ./src/button.cpp:85
#21 KNS3::Button::showDialog (this=0x56254997fde0) at ./src/button.cpp:76
#22 0x00007ff95837494e in QtPrivate::QSlotObjectBase::call (a=0x7ffdc3637470, r=0x56254997fde0, this=0x562549a0aba0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#23 doActivate<false> (sender=0x56254997fde0, signal_index=9, argv=0x7ffdc3637470) at kernel/qobject.cpp:3886
#24 0x00007ff95836dd17 in QMetaObject::activate (sender=sender@entry=0x56254997fde0, m=m@entry=0x7ff95944f600 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffdc3637470) at kernel/qobject.cpp:3946
#25 0x00007ff959031896 in QAbstractButton::clicked (this=this@entry=0x56254997fde0, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:308
#26 0x00007ff959031abe in QAbstractButtonPrivate::emitClicked (this=0x562549b48140) at widgets/qabstractbutton.cpp:415
#27 0x00007ff959032f93 in QAbstractButtonPrivate::click (this=0x562549b48140) at widgets/qabstractbutton.cpp:408
#28 0x00007ff959033155 in QAbstractButton::mouseReleaseEvent (this=0x56254997fde0, e=0x7ffdc36379e0) at widgets/qabstractbutton.cpp:1044
#29 0x00007ff958f7cbe6 in QWidget::event (this=0x56254997fde0, event=0x7ffdc36379e0) at kernel/qwidget.cpp:8663
#30 0x00007ff958f39da3 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x56254997fde0, e=0x7ffdc36379e0) at kernel/qapplication.cpp:3630
#31 0x00007ff958f42e57 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3074
#32 0x00007ff95833d92a in QCoreApplication::notifyInternal2 (receiver=0x56254997fde0, event=0x7ffdc36379e0) at ../../include/QtCore/5.15.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#33 0x00007ff958f42087 in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x56254997fde0, event=event@entry=0x7ffdc36379e0, alienWidget=alienWidget@entry=0x56254997fde0, nativeWidget=0x5625485bf560, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#34 0x00007ff958f97e34 in QWidgetWindow::handleMouseEvent (this=0x5625486c32a0, event=0x7ffdc3637e60) at /usr/include/c++/9/bits/atomic_base.h:413
#35 0x00007ff958f9b154 in QWidgetWindow::event (event=0x7ffdc3637e60, this=0x5625486c32a0) at kernel/qwidgetwindow.cpp:300
#36 QWidgetWindow::event (this=0x5625486c32a0, event=0x7ffdc3637e60) at kernel/qwidgetwindow.cpp:239
#37 0x00007ff958f39da3 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x5625486c32a0, e=0x7ffdc3637e60) at kernel/qapplication.cpp:3630
#38 0x00007ff958f42b98 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3154
#39 0x00007ff95833d92a in QCoreApplication::notifyInternal2 (receiver=0x5625486c32a0, event=0x7ffdc3637e60) at ../../include/QtCore/5.15.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#40 0x00007ff95884453b in QGuiApplicationPrivate::processMouseEvent (e=e@entry=0x562549cd6d10) at kernel/qguiapplication.cpp:2277
#41 0x00007ff958845ab5 in QGuiApplicationPrivate::processWindowSystemEvent (e=0x562549cd6d10) at kernel/qguiapplication.cpp:2002
#42 0x00007ff95881d7ab in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1175
#43 0x00007ff9533c1b2e in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#44 0x00007ff955f15fbd in g_main_dispatch (context=0x7ff94c005000) at ../../../glib/gmain.c:3309
#45 g_main_context_dispatch (context=context@entry=0x7ff94c005000) at ../../../glib/gmain.c:3974
#46 0x00007ff955f16240 in g_main_context_iterate (context=context@entry=0x7ff94c005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#47 0x00007ff955f162e3 in g_main_context_iteration (context=0x7ff94c005000, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#48 0x00007ff958398232 in QEventDispatcherGlib::processEvents (this=0x562548571200, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#49 0x00007ff95833c43b in QEventLoop::exec (this=this@entry=0x7ffdc3638200, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#50 0x00007ff9583445e4 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#51 0x0000562547338312 in main (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:209
[Inferior 1 (process 14997) detached]
Comment 9 Alexander Lohnau 2020-12-30 17:05:29 UTC
Ah, the "Get New Taskswitchers..." button does not use the KNS button, that is why it is not fully fixed.
Comment 10 Alexander Lohnau 2021-02-21 21:49:19 UTC
@Patrick I have recently ported the old QWidgets stuff in the kwin KCMs, can you please check if you can reproduce it now?
Comment 11 Nate Graham 2021-02-21 22:56:20 UTC
.
Comment 12 Alexander Lohnau 2021-02-22 10:15:47 UTC
*** Bug 426572 has been marked as a duplicate of this bug. ***
Comment 13 Patrick Silva 2021-02-22 10:32:45 UTC
Now System Settings crashes when I close "Get new scripts..." window.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.21.80
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Graphics Platform: Wayland

Application: System Settings (systemsettings5), signal: Segmentation fault
Content of s_kcrashErrorMessage: [Current thread is 1 (Thread 0x7fc68e3dc8c0 (LWP 10655))]
[New LWP 10677]
[New LWP 10679]
[New LWP 10680]
[New LWP 10681]
[New LWP 10682]
[New LWP 10684]
[New LWP 10685]
[New LWP 10712]
[New LWP 10713]
[New LWP 10715]
[New LWP 10717]
[New LWP 10718]
[New LWP 10719]
[New LWP 10720]
[New LWP 10721]
[New LWP 10722]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c044845180) at ../sysdeps/nptl/futex-internal.h:183

Thread 17 (Thread 0x7fc645a3c700 (LWP 10722)):
#0  0x00007fc692615aff in __GI___poll (fds=0x7fc630051a20, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fc630051a20, timeout=<optimized out>, context=0x7fc630000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fc630000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc630000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc630000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc645a3bca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc692aeea12 in QThread::exec() (this=this@entry=0x55c0481df3e0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc69209938a in QQuickPixmapReader::run() (this=0x55c0481df3e0) at util/qquickpixmapcache.cpp:1024
#8  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c0481df3e0) at thread/qthread_unix.cpp:329
#9  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fc6467bd700 (LWP 10721)):
[KCrash Handler]
#6  0x00007fc68c4cb41f in  () at /lib/x86_64-linux-gnu/libEGL_mesa.so.0
#7  0x00007fc68c4cb828 in  () at /lib/x86_64-linux-gnu/libEGL_mesa.so.0
#8  0x00007fc6872dca4c in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#9  0x00007fc6872dd1d9 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#10 0x00007fc6872d9697 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#11 0x00007fc6920f987a in QSGBatchRenderer::Renderer::renderBatches() (this=this@entry=0x7fc63c00a350) at ../../include/QtQuick/5.15.2/QtQuick/private/../../../../../src/quick/scenegraph/coreapi/qsgrenderer_p.h:131
#12 0x00007fc6920f9f9a in QSGBatchRenderer::Renderer::render() (this=<optimized out>) at scenegraph/coreapi/qsgbatchrenderer.cpp:4363
#13 0x00007fc6920ddb54 in QSGRenderer::renderScene(QSGBindable const&) (bindable=..., this=0x7fc63c00a350) at scenegraph/coreapi/qsgrenderer.cpp:264
#14 QSGRenderer::renderScene(QSGBindable const&) (this=0x7fc63c00a350, bindable=...) at scenegraph/coreapi/qsgrenderer.cpp:220
#15 0x00007fc6920de023 in QSGRenderer::renderScene(unsigned int) (this=<optimized out>, fboId=<optimized out>) at scenegraph/coreapi/qsgrenderer.cpp:212
#16 0x00007fc69214cc77 in QSGDefaultRenderContext::renderNextFrame(QSGRenderer*, unsigned int) (this=0x55c04457e410, renderer=0x7fc63c00a350, fboId=<optimized out>) at scenegraph/qsgdefaultrendercontext.cpp:228
#17 0x00007fc6921ba509 in QQuickWindowPrivate::renderSceneGraph(QSize const&, QSize const&) (this=this@entry=0x7fc6602122d0, size=..., surfaceSize=...) at items/qquickwindow.cpp:617
#18 0x00007fc69215a7b9 in QSGRenderThread::syncAndRender(QImage*) (this=0x55c04826a9c0, grabImage=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtGui/5.15.2/QtGui/private/qrhi_p.h:1259
#19 0x00007fc69215ec47 in QSGRenderThread::run() (this=0x55c04826a9c0) at scenegraph/qsgthreadedrenderloop.cpp:1043
#20 0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c04826a9c0) at thread/qthread_unix.cpp:329
#21 0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#22 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fc6477fe700 (LWP 10720)):
#0  0x00007fc69089d70d in g_source_unref_internal (source=0x7fc638004c80, context=0x7fc638000c20, have_lock=1) at ../../../glib/gmain.c:2184
#1  0x00007fc69089f165 in g_source_iter_next (iter=iter@entry=0x7fc6477fdb00, source=source@entry=0x7fc6477fdaf8) at ../../../glib/gmain.c:1049
#2  0x00007fc6908a0adf in g_main_context_check (context=context@entry=0x7fc638000c20, max_priority=2147483647, fds=fds@entry=0x7fc638004e60, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3860
#3  0x00007fc6908a1132 in g_main_context_iterate (context=context@entry=0x7fc638000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#4  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc638000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#5  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc638000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc6477fdcc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#7  0x00007fc692aeea12 in QThread::exec() (this=this@entry=0x55c0446371a0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#8  0x00007fc691de3fa9 in QQmlThreadPrivate::run() (this=0x55c0446371a0) at qml/ftw/qqmlthread.cpp:155
#9  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c0446371a0) at thread/qthread_unix.cpp:329
#10 0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fc647fff700 (LWP 10719)):
#0  0x00007fc692615aff in __GI___poll (fds=0x7fc640004250, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fc640004250, timeout=<optimized out>, context=0x7fc640000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fc640000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc640000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc640000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc647ffece0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc692aeea12 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c042fe40f0) at thread/qthread_unix.cpp:329
#8  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fc65cb20700 (LWP 10718)):
#0  0x00007fc692615aff in __GI___poll (fds=0x55c043e66ca0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55c043e66ca0, timeout=<optimized out>, context=0x55c0379b2750) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=0x55c0379b2750, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a1513 in g_main_loop_run (loop=0x55c043e7eca0) at ../../../glib/gmain.c:4241
#4  0x00007fc65ff3deda in gdbus_shared_thread_func (user_data=0x55c043e9e870) at ../../../gio/gdbusprivate.c:279
#5  0x00007fc6908ca911 in g_thread_proxy (data=0x7fc660002180) at ../../../glib/gthread.c:807
#6  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fc668d27700 (LWP 10717)):
#0  0x00007fc692615aff in __GI___poll (fds=0x55c042dd1930, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55c042dd1930, timeout=<optimized out>, context=0x55c042ddcd80) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x55c042ddcd80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x55c042ddcd80, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc6908a1311 in glib_worker_main (data=<optimized out>) at ../../../glib/gmain.c:5996
#5  0x00007fc6908ca911 in g_thread_proxy (data=0x55c037008060) at ../../../glib/gthread.c:807
#6  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fc65d967700 (LWP 10715)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c043390c44) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c043390bf0, cond=0x55c043390c18) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c043390c18, mutex=0x55c043390bf0) at pthread_cond_wait.c:638
#3  0x00007fc692af5d1b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55c043390bf0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55c04338b008, mutex=mutex@entry=0x55c04338b000, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fc69215e814 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55c04338aff8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55c04338af60) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fc69215ec89 in QSGRenderThread::run() (this=0x55c04338af60) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c04338af60) at thread/qthread_unix.cpp:329
#9  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fc65ea72700 (LWP 10713)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fc692af1e51 in QtLinuxFutex::_q_futex(int*, int, int, unsigned long long, int*, int) (val3=0, addr2=0x0, val2=0, val=<optimized out>, op=0, addr=<optimized out>) at thread/qfutex_p.h:133
#2  QtLinuxFutex::futexWait<QBasicAtomicInteger<unsigned int> >(QBasicAtomicInteger<unsigned int>&, QBasicAtomicInteger<unsigned int>::Type) (expectedValue=<optimized out>, futex=...) at thread/qfutex_p.h:135
#3  futexSemaphoreTryAcquire_loop<false>(QBasicAtomicInteger<unsigned long long>&, unsigned long long, unsigned long long, int) (timeout=-1, nn=8589934593, curValue=<optimized out>, u=...) at thread/qsemaphore.cpp:219
#4  futexSemaphoreTryAcquire<false>(QBasicAtomicInteger<unsigned long long>&, int, int) (timeout=-1, n=1, u=...) at thread/qsemaphore.cpp:262
#5  QSemaphore::acquire(int) (this=this@entry=0x7fc65ea701c0, n=n@entry=1) at thread/qsemaphore.cpp:326
#6  0x00007fc692d0c622 in doActivate<false>(QObject*, int, void**) (sender=0x55c04c82b4b0, signal_index=5, argv=0x7fc65ea701e0) at /usr/include/c++/9/bits/atomic_base.h:769
#7  0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55c04c82b4b0, m=m@entry=0x7fc691837360 <QHttpThreadDelegate::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#8  0x00007fc6917d9617 in QHttpThreadDelegate::encrypted() (this=this@entry=0x55c04c82b4b0) at .moc/moc_qhttpthreaddelegate_p.cpp:516
#9  0x00007fc69171f1a0 in QHttpThreadDelegate::encryptedSlot() (this=0x55c04c82b4b0) at access/qhttpthreaddelegate.cpp:715
#10 0x00007fc6917d9ff4 in QHttpThreadDelegate::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qhttpthreaddelegate_p.cpp:247
#11 0x00007fc692d0c6f0 in doActivate<false>(QObject*, int, void**) (sender=0x7fc65004b8a0, signal_index=3, argv=0x7fc65ea70390) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#12 0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7fc6918371a0 <QHttpNetworkReply::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#13 0x00007fc6917d8684 in QHttpNetworkReply::encrypted() (this=<optimized out>) at .moc/moc_qhttpnetworkreply_p.cpp:343
#14 0x00007fc691715005 in QHttpNetworkConnectionChannel::_q_encrypted() (this=0x7fc650037038) at access/qhttpnetworkconnectionchannel.cpp:1295
#15 0x00007fc69171582b in QHttpNetworkConnectionChannel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qhttpnetworkconnectionchannel_p.cpp:133
#16 0x00007fc692d0c6f0 in doActivate<false>(QObject*, int, void**) (sender=0x7fc6540058e0, signal_index=16, argv=0x7fc65ea70510) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#17 0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x7fc6540058e0, m=m@entry=0x7fc6918360e0 <QSslSocket::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#18 0x00007fc691792014 in QSslSocket::encrypted() (this=this@entry=0x7fc6540058e0) at .moc/moc_qsslsocket.cpp:317
#19 0x00007fc6917c1673 in QSslSocketBackendPrivate::continueHandshake() (this=0x7fc6500375b0) at ssl/qsslsocket_openssl.cpp:1995
#20 0x00007fc6917c7e80 in QSslSocketBackendPrivate::startHandshake() (this=this@entry=0x7fc6500375b0) at ssl/qsslsocket_openssl.cpp:1440
#21 0x00007fc6917c83d6 in QSslSocketBackendPrivate::transmit() (this=0x7fc6500375b0) at ssl/qsslsocket_openssl.cpp:1114
#22 0x00007fc69179aa10 in QSslSocket::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ssl/qsslsocket.h:227
#23 0x00007fc692d0c6f0 in doActivate<false>(QObject*, int, void**) (sender=0x7fc65004adf0, signal_index=3, argv=0x7fc65ea717c0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#24 0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x7fc65004adf0, m=m@entry=0x7fc692f6c320 <QIODevice::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#25 0x00007fc692c06254 in QIODevice::readyRead() (this=this@entry=0x7fc65004adf0) at .moc/moc_qiodevice.cpp:190
#26 0x00007fc69175e3e4 in QAbstractSocketPrivate::emitReadyRead(int) (this=this@entry=0x7fc650037f80, channel=channel@entry=0) at socket/qabstractsocket.cpp:1323
#27 0x00007fc69175e479 in QAbstractSocketPrivate::canReadNotification() (this=0x7fc650037f80) at socket/qabstractsocket.cpp:748
#28 0x00007fc6917709a9 in QReadNotifier::event(QEvent*) (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1274
#29 0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x7fc650043ab0, e=e@entry=0x7fc65ea71ad0) at kernel/qapplication.cpp:3632
#30 0x00007fc6938debb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffed2312300, receiver=0x7fc650043ab0, e=0x7fc65ea71ad0) at kernel/qapplication.cpp:3156
#31 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x7fc650043ab0, event=0x7fc65ea71ad0) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#32 0x00007fc692d30ba5 in socketNotifierSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0x7fc650004880) at kernel/qeventdispatcher_glib.cpp:107
#33 0x00007fc6908a0f9d in g_main_dispatch (context=0x7fc650000c20) at ../../../glib/gmain.c:3309
#34 g_main_context_dispatch (context=context@entry=0x7fc650000c20) at ../../../glib/gmain.c:3974
#35 0x00007fc6908a1220 in g_main_context_iterate (context=context@entry=0x7fc650000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#36 0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc650000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#37 0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc650000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#38 0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc65ea71ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#39 0x00007fc692aeea12 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#40 0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c04473cce0) at thread/qthread_unix.cpp:329
#41 0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#42 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fc65f549700 (LWP 10712)):
#0  __GI___libc_read (nbytes=16, buf=0x7fc65f548ad0, fd=23) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=23, buf=buf@entry=0x7fc65f548ad0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007fc6908e989f in read (__nbytes=16, __buf=0x7fc65f548ad0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7fc6640035a0) at ../../../glib/gwakeup.c:210
#4  0x00007fc6908a0cde in g_main_context_check (context=context@entry=0x7fc658000c20, max_priority=2147483647, fds=fds@entry=0x7fc658004e60, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007fc6908a1132 in g_main_context_iterate (context=context@entry=0x7fc658000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc658000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc658000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc65f548ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#9  0x00007fc692aeea12 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#10 0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c04322b130) at thread/qthread_unix.cpp:329
#11 0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fc67576c700 (LWP 10685)):
#0  0x00007fc692615aff in __GI___poll (fds=0x7fc664004a60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fc664004a60, timeout=<optimized out>, context=0x7fc664000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fc664000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc664000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc664000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc67576bcc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc692aeea12 in QThread::exec() (this=this@entry=0x55c037887f50) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc691de3fa9 in QQmlThreadPrivate::run() (this=0x55c037887f50) at qml/ftw/qqmlthread.cpp:155
#8  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c037887f50) at thread/qthread_unix.cpp:329
#9  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fc684e2a700 (LWP 10684)):
#0  0x00007fc692615aff in __GI___poll (fds=0x7fc66c004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc6908a118e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fc66c004e60, timeout=<optimized out>, context=0x7fc66c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fc66c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc66c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc66c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc684e29cc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc692aeea12 in QThread::exec() (this=this@entry=0x55c0375d2b40) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc691de3fa9 in QQmlThreadPrivate::run() (this=0x55c0375d2b40) at qml/ftw/qqmlthread.cpp:155
#8  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x55c0375d2b40) at thread/qthread_unix.cpp:329
#9  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fc6859b9700 (LWP 10682)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c037223c1c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c037223bc8, cond=0x55c037223bf0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c037223bf0, mutex=0x55c037223bc8) at pthread_cond_wait.c:638
#3  0x00007fc687717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fc687717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fc6861ba700 (LWP 10681)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c037223c1c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c037223bc8, cond=0x55c037223bf0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c037223bf0, mutex=0x55c037223bc8) at pthread_cond_wait.c:638
#3  0x00007fc687717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fc687717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fc6869bb700 (LWP 10680)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c037223c18) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c037223bc8, cond=0x55c037223bf0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c037223bf0, mutex=0x55c037223bc8) at pthread_cond_wait.c:638
#3  0x00007fc687717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fc687717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fc6871bc700 (LWP 10679)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c037223c18) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c037223bc8, cond=0x55c037223bf0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c037223bf0, mutex=0x55c037223bc8) at pthread_cond_wait.c:638
#3  0x00007fc687717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fc687717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fc68d770700 (LWP 10677)):
#0  0x00007fc69089da74 in g_source_iter_clear (iter=iter@entry=0x7fc68d76faf0) at ../../../glib/gmain.c:1062
#1  0x00007fc6908a0b48 in g_main_context_check (context=context@entry=0x7fc688000c20, max_priority=2147483647, fds=fds@entry=0x7fc688005240, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3947
#2  0x00007fc6908a1132 in g_main_context_iterate (context=context@entry=0x7fc688000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#3  0x00007fc6908a12c3 in g_main_context_iteration (context=0x7fc688000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fc692d2ffbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc688000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc68d76fcb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc692aeea12 in QThread::exec() (this=this@entry=0x7fc691a83d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc6919fff4b in QDBusConnectionManager::run() (this=0x7fc691a83d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007fc692aefbac in QThreadPrivate::start(void*) (arg=0x7fc691a83d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007fc6911b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fc692622293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fc68e3dc8c0 (LWP 10655)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c044845180) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c044845130, cond=0x55c044845158) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c044845158, mutex=0x55c044845130) at pthread_cond_wait.c:638
#3  0x00007fc692af5d1b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55c044845130) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55c04826aa18, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fc69215b951 in QSGThreadedRenderLoop::handleObscurity(QSGThreadedRenderLoop::Window*) (this=this@entry=0x55c044737740, w=0x55c04457ae40) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007fc69215ba5a in QSGThreadedRenderLoop::hide(QQuickWindow*) (this=0x55c044737740, window=0x55c0441d8130) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:570
#7  0x00007fc6931ebe1d in QWindow::event(QEvent*) (this=this@entry=0x55c0441d8130, ev=ev@entry=0x7ffed230dc00) at kernel/qwindow.cpp:2438
#8  0x00007fc6921c8aab in QQuickWindow::event(QEvent*) (this=0x55c0441d8130, e=0x7ffed230dc00) at items/qquickwindow.cpp:1902
#9  0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x55c0441d8130, e=e@entry=0x7ffed230dc00) at kernel/qapplication.cpp:3632
#10 0x00007fc6938debb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffed2312300, receiver=0x55c0441d8130, e=0x7ffed230dc00) at kernel/qapplication.cpp:3156
#11 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c0441d8130, event=0x7ffed230dc00) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#12 0x00007fc6931eba16 in QWindowPrivate::setVisible(bool) (this=0x7fc6602122d0, visible=<optimized out>) at kernel/qwindow.cpp:412
#13 0x00007fc66805dbd0 in QQuickAbstractDialog::setVisible(bool) (this=0x55c042d5e400, v=<optimized out>) at qquickabstractdialog.cpp:205
#14 0x00007fc66806a263 in QQuickAbstractDialog::close() (this=0x55c042d5e400) at .moc/../qquickabstractdialog_p.h:124
#15 QQuickAbstractDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x55c042d5e400, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=8, _a=_a@entry=0x7ffed230e1f0) at .moc/moc_qquickabstractdialog_p.cpp:261
#16 0x00007fc66806a633 in QQuickAbstractDialog::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x55c042d5e400, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=8, _a=_a@entry=0x7ffed230e1f0) at .moc/moc_qquickabstractdialog_p.cpp:394
#17 0x00007fc66806acda in QQuickDialog1::qt_metacall(QMetaObject::Call, int, void**) (this=0x55c042d5e400, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffed230e1f0) at .moc/moc_qquickdialog_p.cpp:310
#18 0x00007fc691d13dc2 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x55c0433ac130, o=<optimized out>, c=QMetaObject::InvokeMetaMethod, _id=13, a=0x7ffed230e1f0) at qml/qqmlvmemetaobject.cpp:1045
#19 0x00007fc691d13d84 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x55c0430b6460, o=<optimized out>, c=QMetaObject::InvokeMetaMethod, _id=13, a=0x7ffed230e1f0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#20 0x00007fc691d13d84 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x55c042f8b3d0, o=<optimized out>, c=QMetaObject::InvokeMetaMethod, _id=13, a=0x7ffed230e1f0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#21 0x00007fc691d77be5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7ffed230e4e0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=13, argv=argv@entry=0x7ffed230e1f0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#22 0x00007fc691c40a44 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=13, returnType=returnType@entry=43, argCount=argCount@entry=0, argTypes=argTypes@entry=0x0, engine=engine@entry=0x55c03d4beb50, callArgs=0x7fc646bbf580, callType=QMetaObject::InvokeMetaMethod) at jsruntime/qv4qobjectwrapper.cpp:1319
#23 0x00007fc691c426b4 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x55c03d4beb50, callArgs=0x7fc646bbf580, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#24 0x00007fc691c4366a in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2131
#25 0x00007fc691c630f1 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#26 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffed230e7d0, engine=0x55c03d4beb50, code=0x7fc646bbf538 "@\314\177F\306\177") at jsruntime/qv4vme_moth.cpp:754
#27 0x00007fc691c6502f in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffed230e7d0, engine=engine@entry=0x55c03d4beb50) at jsruntime/qv4vme_moth.cpp:463
#28 0x00007fc691bf224d in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x55c043092440, thisObject=<optimized out>, argv=argv@entry=0x7fc646bbf500, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#29 0x00007fc691d97fa7 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x55c044706ad0, callData=callData@entry=0x7fc646bbf4d0, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#30 0x00007fc691d3b8ae in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#31 0x00007fc691d3c948 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x55c044706a50, a=0x0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#32 0x00007fc691d7764d in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:104
#33 0x00007fc691d19fbf in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x55c04455eed0, index=68, a=0x0) at qml/qqmlengine.cpp:834
#34 0x00007fc692d0c245 in doActivate<false>(QObject*, int, void**) (sender=0x55c04455eed0, signal_index=68, argv=0x0) at kernel/qobject_p.h:110
#35 0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55c04455eed0, m=m@entry=0x7fc68da1bf60 <QQuickDialogButtonBox::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#36 0x00007fc68d9b4d97 in QQuickDialogButtonBox::rejected() (this=this@entry=0x55c04455eed0) at .moc/moc_qquickdialogbuttonbox_p.cpp:412
#37 0x00007fc68d94cb00 in QQuickDialogButtonBoxPrivate::handleClick() (this=<optimized out>) at qquickdialogbuttonbox.cpp:380
#38 0x00007fc692d0c6be in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffed2310590, r=0x55c04455eed0, this=0x55c0432ac040) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#39 doActivate<false>(QObject*, int, void**) (sender=0x55c043dbf0f0, signal_index=64, argv=0x7ffed2310590) at kernel/qobject.cpp:3886
#40 0x00007fc68d925a81 in QQuickAbstractButtonPrivate::handleRelease(QPointF const&) (this=0x55c0431c2640, point=...) at qquickabstractbutton.cpp:182
#41 0x00007fc68d944b19 in QQuickControl::mouseReleaseEvent(QMouseEvent*) (this=<optimized out>, event=0x7ffed2310ed0) at /usr/include/x86_64-linux-gnu/qt5/QtGui/qevent.h:128
#42 0x00007fc6921aa5a8 in QQuickItem::event(QEvent*) (this=0x55c043dbf0f0, ev=0x7ffed2310ed0) at items/qquickitem.cpp:8131
#43 0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x55c043dbf0f0, e=e@entry=0x7ffed2310ed0) at kernel/qapplication.cpp:3632
#44 0x00007fc6938debb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffed2312300, receiver=0x55c043dbf0f0, e=0x7ffed2310ed0) at kernel/qapplication.cpp:3156
#45 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c043dbf0f0, event=0x7ffed2310ed0) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#46 0x00007fc6921c49e5 in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*) (this=this@entry=0x7fc6602122d0, pointerEvent=0x55c04326b010) at items/qquickwindow.cpp:2020
#47 0x00007fc6921c610f in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*) (this=this@entry=0x7fc6602122d0, event=0x55c04326b010) at items/qquickwindow.cpp:2612
#48 0x00007fc6921c7039 in QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (event=0x7ffed2310ed0, this=0x7fc6602122d0) at items/qquickwindow.cpp:2457
#49 QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (this=0x7fc6602122d0, event=0x7ffed2310ed0) at items/qquickwindow.cpp:2410
#50 0x00007fc6931ebe1d in QWindow::event(QEvent*) (this=this@entry=0x55c0441d8130, ev=ev@entry=0x7ffed2310ed0) at kernel/qwindow.cpp:2438
#51 0x00007fc6921c8aab in QQuickWindow::event(QEvent*) (this=0x55c0441d8130, e=0x7ffed2310ed0) at items/qquickwindow.cpp:1902
#52 0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x55c0441d8130, e=e@entry=0x7ffed2310ed0) at kernel/qapplication.cpp:3632
#53 0x00007fc6938debb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffed2312300, receiver=0x55c0441d8130, e=0x7ffed2310ed0) at kernel/qapplication.cpp:3156
#54 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c0441d8130, event=0x7ffed2310ed0) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#55 0x00007fc6931e04e8 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at kernel/qguiapplication.cpp:2282
#56 0x00007fc6931e1b55 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x55c04c8e2cd0) at kernel/qguiapplication.cpp:2002
#57 0x00007fc6931b97ac in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#58 0x00007fc69079d814 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#59 0x00007fc6908a0f9d in g_main_dispatch (context=0x55c03703ac50) at ../../../glib/gmain.c:3309
#60 g_main_context_dispatch (context=context@entry=0x55c03703ac50) at ../../../glib/gmain.c:3974
#61 0x00007fc6908a1220 in g_main_context_iterate (context=context@entry=0x55c03703ac50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#62 0x00007fc6908a12c3 in g_main_context_iteration (context=0x55c03703ac50, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#63 0x00007fc692d2ffa2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55c03704b4f0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#64 0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffed2311280, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#65 0x00007fc669a357f6 in KNS3::QtQuickDialogWrapper::exec() (this=0x55c043094dd0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qflags.h:121
#66 0x00007fc669a09a45 in KNS3::Button::showDialog() (this=0x55c042f7eb40) at /usr/include/c++/9/bits/atomic_base.h:413
#67 KNS3::Button::showDialog() (this=0x55c042f7eb40) at ./src/button.cpp:77
#68 0x00007fc692d0c6be in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffed2311450, r=0x55c042f7eb40, this=0x55c042d846c0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#69 doActivate<false>(QObject*, int, void**) (sender=0x55c042f7eb40, signal_index=9, argv=0x7ffed2311450) at kernel/qobject.cpp:3886
#70 0x00007fc692d05a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55c042f7eb40, m=m@entry=0x7fc693dec600 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffed2311450) at kernel/qobject.cpp:3946
#71 0x00007fc6939cdb56 in QAbstractButton::clicked(bool) (this=this@entry=0x55c042f7eb40, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:308
#72 0x00007fc6939cdd7e in QAbstractButtonPrivate::emitClicked() (this=0x55c042e302c0) at widgets/qabstractbutton.cpp:415
#73 0x00007fc6939cf253 in QAbstractButtonPrivate::click() (this=0x55c042e302c0) at widgets/qabstractbutton.cpp:408
#74 0x00007fc6939cf415 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) (this=0x55c042f7eb40, e=0x7ffed23119c0) at widgets/qabstractbutton.cpp:1044
#75 0x00007fc693918c06 in QWidget::event(QEvent*) (this=0x55c042f7eb40, event=0x7ffed23119c0) at kernel/qwidget.cpp:8663
#76 0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x55c042f7eb40, e=e@entry=0x7ffed23119c0) at kernel/qapplication.cpp:3632
#77 0x00007fc6938dee77 in QApplication::notify(QObject*, QEvent*) (this=<optimized out>, receiver=0x55c042f7eb40, e=0x7ffed23119c0) at kernel/qapplication.cpp:3076
#78 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c042f7eb40, event=0x7ffed23119c0) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#79 0x00007fc6938de0a7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) (receiver=receiver@entry=0x55c042f7eb40, event=event@entry=0x7ffed23119c0, alienWidget=alienWidget@entry=0x55c042f7eb40, nativeWidget=0x55c037230f90, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#80 0x00007fc693933e54 in QWidgetWindow::handleMouseEvent(QMouseEvent*) (this=0x55c0372eb330, event=0x7ffed2311e40) at /usr/include/c++/9/bits/atomic_base.h:413
#81 0x00007fc693937174 in QWidgetWindow::event(QEvent*) (event=0x7ffed2311e40, this=0x55c0372eb330) at kernel/qwidgetwindow.cpp:300
#82 QWidgetWindow::event(QEvent*) (this=0x55c0372eb330, event=0x7ffed2311e40) at kernel/qwidgetwindow.cpp:239
#83 0x00007fc6938d5dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c0370193a0, receiver=receiver@entry=0x55c0372eb330, e=e@entry=0x7ffed2311e40) at kernel/qapplication.cpp:3632
#84 0x00007fc6938debb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffed2312300, receiver=0x55c0372eb330, e=0x7ffed2311e40) at kernel/qapplication.cpp:3156
#85 0x00007fc692cd569a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c0372eb330, event=0x7ffed2311e40) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#86 0x00007fc6931e04e8 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at kernel/qguiapplication.cpp:2282
#87 0x00007fc6931e1b55 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x55c043e69130) at kernel/qguiapplication.cpp:2002
#88 0x00007fc6931b97ac in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#89 0x00007fc69079d814 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#90 0x00007fc6908a0f9d in g_main_dispatch (context=0x55c03703ac50) at ../../../glib/gmain.c:3309
#91 g_main_context_dispatch (context=context@entry=0x55c03703ac50) at ../../../glib/gmain.c:3974
#92 0x00007fc6908a1220 in g_main_context_iterate (context=context@entry=0x55c03703ac50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#93 0x00007fc6908a12c3 in g_main_context_iteration (context=0x55c03703ac50, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#94 0x00007fc692d2ffa2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55c03704b4f0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#95 0x00007fc692cd41ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffed23121e0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#96 0x00007fc692cdc354 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#97 0x000055c036f44392 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:222
[Inferior 1 (process 10655) detached]
Comment 14 Patrick Silva 2021-02-22 11:04:30 UTC
Sometimes I can reproduce with these steps:

1. open system settings > window management > task switcher
2. click on "Get new task switchers..." button
3. close "Get new task switchers..." window while "Initializing" message appears
4. click on "Kwin scripts" KCM
5. click on "Get new scripts..." button
6. close "Get new scripts..." window  while "Loading more..." message appears
Comment 15 Tony 2021-02-22 13:51:27 UTC
Created attachment 136044 [details]
Backtrace similar to commet #8

(In reply to Patrick Silva from comment #14)
> Sometimes I can reproduce with these steps:
> 
> 1. open system settings > window management > task switcher
> 2. click on "Get new task switchers..." button
> 3. close "Get new task switchers..." window while "Initializing" message
> appears
> 4. click on "Kwin scripts" KCM
> 5. click on "Get new scripts..." button
> 6. close "Get new scripts..." window  while "Loading more..." message appears

I can consistently reproduce using these steps.(In reply to Patrick Silva from comment #14)
> Sometimes I can reproduce with these steps:
> 
> 1. open system settings > window management > task switcher
> 2. click on "Get new task switchers..." button
> 3. close "Get new task switchers..." window while "Initializing" message
> appears
> 4. click on "Kwin scripts" KCM
> 5. click on "Get new scripts..." button
> 6. close "Get new scripts..." window  while "Loading more..." message appears

I can consistently reproduce with these steps, even with a clean .cache folder.
The backtrace from comment #c13 points to a different issue though.
Comment 16 Tony 2021-08-04 05:44:55 UTC
This one can't be reproduced anymore on my end.

Also,  #13 shows a different issue, kwin ralated if i am not mistaken.
Comment 17 Patrick Silva 2021-08-04 11:23:18 UTC
I also can not reproduce on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.3
Graphics Platform: X11
Comment 18 Nate Graham 2021-08-04 14:44:25 UTC
Phew!
Comment 19 Nate Graham 2022-03-27 01:13:02 UTC
*** Bug 451710 has been marked as a duplicate of this bug. ***
Comment 20 Nate Graham 2022-03-27 01:13:36 UTC
Got a new duplicate from frameworks 5.90, re-opening.
Comment 21 Nate Graham 2022-10-21 17:16:16 UTC
*** Bug 460803 has been marked as a duplicate of this bug. ***